# README for Docker Image Build and Publish Workflows

## Overview

This repository contains two GitHub Actions workflows that automate the building and publishing of Docker images to an OCI registry. 

### Workflows

1. **On Commit to Main**
   - **Trigger:** Activates on commits to the `main` branch (tags are excluded).
   - **Purpose:** Builds and publishes a Docker image for each commit.

2. **On Tag Push**
   - **Trigger:** Activates when a new tag is pushed.
   - **Purpose:** Builds and publishes a Docker image for the tag and tags it as `latest`.

## Prerequisites

- **Secrets Needed:**
  - `OCI_TOKEN`: Your OCI registry token.
  - `OCI_USER`: Your OCI registry username.

## How to Use

1. **Clone the Repository:** Get a local copy of this repository.
2. **Modify Dockerfile:** Update the `Dockerfile` for your application.
3. **Push Changes:** Push changes to the `main` branch or create a new tag.
4. **Check Workflow Status:** View the Actions tab in Forgjo to monitor workflow runs.

## Notes

- Ensure your Docker environment is compatible with multi-platform builds if necessary.

## License

This project is licensed under the MIT License. See the [LICENSE](LICENSE) file for details.